--$Revision: 94 $
--$Date: 2009-10-28 03:15:15 +0000 (Wed, 28 Oct 2009) $
--project version: r95
local L = LibStub("AceLocale-3.0"):GetLocale("MobileVault")

local function HexToRGBPerc(hex)
	local rhex, ghex, bhex = string.sub(hex, 1, 2), string.sub(hex, 3, 4), string.sub(hex, 5, 6)
	return tonumber(rhex, 16)/255, tonumber(ghex, 16)/255, tonumber(bhex, 16)/255
end

local function RGBPercToHex(r, g, b)
	r = r <= 1 and r >= 0 and r or 0
	g = g <= 1 and g >= 0 and g or 0
	b = b <= 1 and b >= 0 and b or 0
	return string.format("%02x%02x%02x", r*255, g*255, b*255)
end

local guildlist = {}

function MobileVault:SetupConfig()
	local opts = {
		type = 'group',
		args = {
			tooltips = {
				type = 'group',
				name = L["Tooltip Options"],
				args = {
					guilds = {
						type = 'multiselect',
						name = L["Guilds"],
						desc = L["Choose which guilds will display item counts on tooltips"],
						get = function(_, name)
							return self.db.profile.guildTooltips[name]
						end,
						set = function(_, name, val)
							self.db.profile.guildTooltips[name] = val
						end,
						values = function()
							for k, v in pairs(self.guilds) do
								if not guildlist[k] then guildlist[k] = k end
							end
							return guildlist
						end,
					},
				},
			},
			vault = {
				type = 'group',
				name = L["Vault Options"],
				args = {
				
				},
			},
		},
	}
	--add profile controls
	opts.args.profile = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db)
	
	LibStub("AceConfig-3.0"):RegisterOptionsTable("MobileVault", opts)
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("MobileVault", "MobileVault")
end
